Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src.nodes
Class ClassElementFilter

    java.lang.Object
      org.openide.src.nodes.SourceElementFilter
          org.openide.src.nodes.ClassElementFilter

    public class ClassElementFilter

extends SourceElementFilter

Orders and filters members in a class element node. Can be used for methods, fields, inner classes, etc.

The semantics are very similar to those of `SourceElementFilter`.

See Also:
  `ClassElement`, `ClassChildren`

Field Summary
`static int` | `ALL` Does not specify a child type.
`static int` | `CONSTRUCTOR` Specifies a child representing a constructor.
`static int[]` | `DEFAULT_ORDER` Default order and filtering.
`static int` | `EXTENDS` Specifies a child representing the superclass of the node's class.
`static int` | `FIELD` Specifies a child representing a field (instance variable).
`static int` | `IMPLEMENTS` Specifies a child representing an implemented interface of the node's class.
`static int` | `METHOD` Specifies a child representing a method.
`static int` | `STATIC` Specifies a child which is static.

Fields inherited from class org.openide.src.nodes.SourceElementFilter
`ALL_MODIFIERS, CLASS, IMPORT, INTERFACE, PACKAGE, PRIVATE, PROTECTED, PUBLIC`

Constructor Summary
`ClassElementFilter()`

Method Summary
`boolean` | `isSorted()` Test whether the elements in one element type group are sorted.
`void` | `setSorted(boolean sorted)` Set whether groups of elements returned by getOrder () should be sorted.

Methods inherited from class org.openide.src.nodes.SourceElementFilter
`getModifiers, getOrder, isAllClasses, setAllClasses, setModifiers, setOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSTRUCTOR

    public static final int CONSTRUCTOR

  Specifies a child representing a constructor.

  See Also:
    Constant Field Values

### FIELD

    public static final int FIELD

  Specifies a child representing a field (instance variable).

  See Also:
    Constant Field Values

### METHOD

    public static final int METHOD

  Specifies a child representing a method.

  See Also:
    Constant Field Values

### EXTENDS

    public static final int EXTENDS

  Specifies a child representing the superclass of the node's class.

  See Also:
    Constant Field Values

### IMPLEMENTS

    public static final int IMPLEMENTS

  Specifies a child representing an implemented interface of the node's class. For a node representing an interface, this would specify an extended interface.

  See Also:
    Constant Field Values

### ALL

    public static final int ALL

  Does not specify a child type.

  See Also:
    Constant Field Values

### DEFAULT_ORDER

    public static final int[] DEFAULT_ORDER

  Default order and filtering. Places all fields, constructors, methods, and inner classes (interfaces) together in one block.

### STATIC

    public static final int STATIC

  Specifies a child which is static.

  See Also:
    Constant Field Values

Constructor Detail

### ClassElementFilter

    public ClassElementFilter()

Method Detail

### isSorted

    public boolean isSorted()

  Test whether the elements in one element type group are sorted.

  Returns:
    `true` if groups in getOrder () field are sorted, `false` to default order of elements

### setSorted

    public void setSorted(boolean sorted)

  Set whether groups of elements returned by getOrder () should be sorted.

  Parameters:
    `sorted` - `true` if so

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.